A long-lived GraphQL operation for enabling real-time updates to clients. [Subscriptions](https://www.apollographql.com/docs/apollo-server/data/subscriptions) are defined in a schema along with queries and mutations.

```graphql
type Subscription {
  commentAdded(repoFullName: String!): Comment
}
...
subscription onCommentAdded($repoFullName: String!){
  commentAdded(repoFullName: $repoFullName){
    id
    content
  }
}
```
